version: '3.8'
services:
  callcenter:
    build: .
    ports:
      - "3000:3000"
    volumes:
      - ./db:/app/db        # persists SQLite across restarts
    environment:
      - PORT=3000
      - JWT_SECRET=${JWT_SECRET:-changeme}
      - DB_PATH=/app/db/callcenter.db
      - ANTHROPIC_API_KEY=${ANTHROPIC_API_KEY}
      - VOIPMS_USER=${VOIPMS_USER}
      - VOIPMS_PASS=${VOIPMS_PASS}
      - VOIPMS_DID=${VOIPMS_DID}
    restart: unless-stopped
